<?php
# if method is post
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $_SESSION['page'] = $_POST['page'];
    echo $_SESSION['page'];
    return_index();
}
?>

<main class="container">
    <form action="" method="post">
        <input type="hidden" name="page" v-model="page">
        <button @click="page = 'reporte'" type="submit">Reporte de calificaciones <i class="fas fa-file-excel"></i></button>
        <button @click="page = 'cálculo'" type="submit">Cálculo de calificaciones <i class="fas fa-calculator"></i></button>
    </form>
</main>
<script>
    PetiteVue.createApp({
        page: null
    }).mount();
</script>